
ISIS - Bug #4305

cnetedit - will create output for a non-existent input file

2016-08-25 12:41 PM - Lynn Weller

Status: Closed   

Priority: Normal   

Assignee: Curtis Rose   

Category: Applications   

Target version: FY17 Backlog   

Impact: This should have no impact. Software Version:  

Description

When passed a network that does not exist, cnetedit will run and even create and output file with nothing in it.

The output network contains the following in the ControlNetworkInfo group:

Group = ControlNetworkInfo

NetworkId        = Null

TargetName       = Null

UserName         = Null

Created          = Null

LastModified     = Null

Description      = Null

NumberOfPoints   = 0

NumberOfMeasures = 0

Version          = 2

End_Group

This got my attention when cnetmerge wouldn't work.

Seems to me a program should fail when passing it input that does not exist.

I'm running this under isis3production2016-08-23 but I can't select that from the Software Version below.

History

#1 - 2016-08-25 12:42 PM - Lynn Weller

See /work/users/lweller/Isis3Tests/CnetEdit/InputDoesNotExist/ for an example.

Command line:

cnetedit cnet=junk.net onet=output.net

Note that junk.net does not exist.

#2 - 2016-08-25 01:11 PM - Lynn Weller

- Description updated

#3 - 2016-08-26 11:23 AM - Stuart Sides

- Status changed from New to Acknowledged

#4 - 2016-09-26 10:02 AM - Stuart Sides

- Status changed from Acknowledged to Assigned

- Assignee set to Curtis Rose
#5 - 2016-09-26 11:31 AM - Curtis Rose

- Status changed from Assigned to In Progress

#6 - 2016-10-03 10:15 AM - Stuart Sides

- Target version set to FY17 Backlog

#7 - 2016-10-03 10:52 AM - Curtis Rose

- Impact updated

#8 - 2016-10-03 03:50 PM - Curtis Rose

- Status changed from In Progress to Resolved

I've fixed this by making sure that the network file exists before anything is ran, and that an error message pops up describing the mistake. I've built

this on an astrovm. The path is:

/work/projects/isis/latest/m04305/isis/src/control/apps/cnetedit

Message: "The control network [sample.net] entered for CNET does not exist."

#9 - 2016-10-03 05:14 PM - Lynn Weller

- Status changed from Resolved to Closed

Tested and works as expected.  My processing scripts will be happier for it.  Thanks!
